Gmsh(1)

NAME
Gmsh - 3D finite element mesh generator with built-in CAD engine and post-processor

SYNOPSIS
gmsh [file(s)] [option(s)]

DESCRIPTION
Gmsh is a 3D finite element mesh generator with a build-in CAD engine and post-processor. Its design goal is to provide a fast, light and user-friendly meshing tool with parametric input and flexible visualization capabilities.

Gmsh is built around four modules (geometry, mesh, solver and post-processing), which can be controlled with the graphical user interface, from the command line, using text files written in Gmsh's own scripting language (.geo files), or through the C++, C, Python, Julia and Fortran application programming interface.

GEOMETRY OPTIONS

-0  Output model, then exit.

-tol float
    set geometrical tolerance.

MESH OPTIONS

-1, -2, -3
    perform 1D, 2D or 3D mesh generation, then exit.

-o file
    specify output file name.

-format string
    set output mesh format (auto, msh, msh1, msh2, msh4, unv, vrml, stl, mesh, bdf, med, ...).

-bin
    use binary format when available.

-saveall
    save all elements (discard physical group definitions)

-algo string
    select mesh algorithm (meshadapt, del2d, front2d, del3d, front3d, hxt, ...).

-parametric
    save nodes with their parametric coordinates.

-part int
    partition the mesh after batch mesh generation.

-smooth int
    set number of mesh smoothing steps.

-order int
    set mesh order.

-clscale float
    set global mesh element size scaling factor.

-clmin float
    set minimum mesh element size.

-clmax float
    set maximum mesh element size.

-rand float
    set random perturbation factor.

-bgm file
    load the post-processing view in file as the current background mesh.

-check
    perform various consistency checks on mesh.

POST-PROCESSING OPTIONS

-combine
    combine input views into multi-time-step ones.

DISPLAY OPTIONS

-n  hide all meshes and post-processing views on startup.

-fontsize int
    specify the font size for the GUI.

-display string
    specify display.

OTHER OPTIONS

-   parse input files, then exit.

-new
    create new model before merge next file.

-merge
    merge next files.

-open
    ppen next files.

-a, -g, -m, -s, -p
    start in automatic, geometry, mesh, solver or post-processing mode.

-pid
    print pid on stdout.

-listen string
    always listen to incoming connection requests on the given socket (a default socket is used if not specified).

-v int
    set verbosity level.

-nopopup
    don't popup dialog windows in scripts.

-setnumber name value
    set constant number name=value

-setstring name value
    set constant string name=value

-string string
    parse option string at startup.

-option file
    parse option file at startup.

-convert files
    Convert files into latest binary formats, then exit.

-version
    show version number.

-info
    show detailed version information.

-help
    show help message.

AUTHORS
Christophe Geuzaine (cgeuzaine@uliege.be) and Jean-Francois Remacle (jean-francois.remacle@uclouvain.be).

SEE ALSO
getdp(1),
Gmsh examples (/usr/share/doc/gmsh),
Gmsh homepage (https://gmsh.info).

The full documentation for Gmsh is maintained as a Texinfo manual. If the info and gmsh programs are properly installed at your site, the command

    info gmsh

should give you access to the complete manual.